** Merging endline section data files 

	** Merge endline child survey questions

	use "$data/ecsection0.dta",clear
	merge 1:1 child_id using "$data/ecsection1.dta"
	drop _merge
	merge 1:1 child_id using "$data/ecsection2.dta"
	drop _merge
	merge 1:1 child_id using "$data/ecsection3.dta"
	drop _merge
	merge 1:1 child_id using "$data/ecsection4.dta"
	drop _merge
	merge 1:1 child_id using "$data/ecsection5.dta"
	drop _merge
	merge 1:1 child_id using "$data/ecsection5_objmeasures.dta"
	drop _merge
	merge 1:1 child_id using "$data/ecsection6.dta"
	drop _merge
	merge 1:1 child_id using "$data/ecsection7.dta"
	drop _merge
	
	** Calculating length of Q311 activities
	forval i = 1/29 {
	local j = `i' + 1
	
	gen q311_cal_duration`i' = (q311_activity_to_hrs`i' - q311_activity_from_hrs`i')*60 + q311_activity_to_min`i' - q311_activity_from_min`i' if q311_activity`i' != .n
	label var q311_cal_duration`i' "311.`j' Minutes spent doing activity `i'"
	order q311_cal_duration`i', after(q311_activity_to_min`i')
	
	}
	
	save "$merged_data/ec_all.dta",replace

	**** Merging household together:

	** Sections 0, 1, and 5 are just at the household level and can therejust just be merged

	use "$data/ehsection0.dta",clear
	merge 1:1 hh_id using "$data/ehsection1.dta"
	drop _merge
	merge 1:1 hh_id using "$data/ehsection5.dta"
	drop _merge
	
	** merge in parental perceptions of child data (identified by hh_id and child_id)
	merge 1:m hh_id using "$data/ehsection4.dta"
	drop _merge
	
	tempfile sections0145
	save `sections0145'
	
	** merge in roster information about child
	** keep just the kids from the roster
	use  "$data/ehsection2.dta", clear
	keep if child_id !=.
	
	tempfile section2_child
	save `section2_child'
	
	use `sections0145',clear
	** Merge 
	merge 1:1 child_id using "`section2_child'"
	
	drop _merge

	save "$merged_data/ehsections01245.dta",replace
	
	
	**** Merge household and child surveys together ****
	use "$merged_data/ehsections01245.dta", clear
	
	merge 1:1 child_id using "$merged_data/ec_all.dta"
	
	replace hh_id = 44401677 if child_id == 440167708
	
	gen mis_el_ch_survey = _merge == 1
	
	gen mis_el_hh_survey = _merge == 2
	
	drop _merge
	
	save "$merged_data/ehc_combined.dta",replace
		
	*** Mapping of child id to hh id to merge into baseline
	
	keep hh_id child_id
	save "$merged_data/e_cid_hid_map.dta", replace
